Search for a Claim
Path
GET /claims/search Request Parameters
X-Client-Global-Id
number
Client Global Id header. Used for internal communication only
X-Client-Reference
array
Client reference header. Used for internal communication only
page
integer default: 1
The current page number.
pageSize
integer default: 10
The number of items per page.
claimNumber
string
claim number to search for
customerNumber
string
customer number given by the client to search for
contractNumber
string
contract number to search for
invoiceNumber
string
invoice number to search for
ssn
string
Social security number / Company number to search for (only supported for countries where people have an SSN)
Responses
-
arrayclaimNumberstringcustomerNumberstringarraylist of invoicescustomerDisplayNamestringCombined first name and last name or company namestatusstringEnum:
- REJECTED
- IN_CREATION
- PROCESSING
- PAUSED
- CLOSED
arrayA set of actions than can be executed on the claimobjectA claim consisting of multiple sub-claims, e.g. for contracts within a claim.claimTypestringEnum:- JOINT_CLAIM
- SUB_CLAIM
- STAND_ALONE
The type of claim that exists for joint claims.jointClaimNumberstringThe identifier of the claim being searched for.arrayAll additional claims identifier(es) if the searched for claim is the main claim.ssnstringSocial security number / Company number to search for (only supported for countries where people have an SSN)objectPagination information for the response.totalItemsrequiredintegerThe total number of items available.pageSizerequiredintegerThe number of items per page.currentPagerequiredintegerThe current page number.totalPagesrequiredintegerThe total number of pages. -
-
-
Request Example
null
Response Example
{
"items": [
{
"status": "PROCESSING",
"claimNumber": "731770919",
"customerNumber": "K1644779365",
"invoiceNumbers": [
"I1724732257"
],
"availableActions": [
"CREATE_RECALL"
],
"customerDisplayName": "Eldridge Howe",
"additionalProperties": {}
}
],
"pagination": {
"totalItems": 0,
"additionalProperties": {}
},
"additionalProperties": {}
}